| Kea 3.0.2-git

option4_dnr.h File Reference
`#include <asiolink/io_address.h>`
`#include <boost/assign.hpp>`
`#include <boost/bimap.hpp>`
`#include <dhcp/dhcp4.h>`
`#include <dhcp/dhcp6.h>`
`#include <dhcp/option.h>`
`#include <dhcp/option_data_types.h>`
`#include <dns/name.h>`
`#include <util/encode/utf8.h>`
`#include <map>`
`#include <set>`
`#include <string>`
`#include <unordered_set>`
Include dependency graph for option4_dnr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::DnrInstance
| Represents DNR Instance which is used both in DHCPv4 and DHCPv6 Encrypted DNS Option. More...
class | isc::dhcp::InvalidOptionDnrDomainName
| Exception thrown when invalid domain name is specified. More...
class | isc::dhcp::InvalidOptionDnrSvcParams
| Exception thrown when Service parameters have wrong format. More...
class | isc::dhcp::Option4Dnr
| Represents DHCPv4 Encrypted DNS Option (code 162). More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< Option4Dnr > | isc::dhcp::Option4DnrPtr
| A pointer to the `OptionDnr4` object.